from flask import Flask, request
import gzip


app = Flask(__name__)


@app.route('/data/receive', methods=['POST'])
def receive():
    encoding = request.headers.get("Content-Encoding")
    data = request.get_data()

    if encoding.find("gzip"):
        # 解压数据
        value = gzip.decompress(data)
    elif encoding.find("deflate"):
        # 解压数据
        value = gzip.decompress(data)
    else:
        return {"code": 400, "message": "Unsupported Content-Encoding"}

    print(f"Received data: {value.decode('utf-8')}")
    return {"code": 200, "message": "success"}


if __name__ == '__main__':
    app.run(host="139.162.44.222", port=8080)
